Subject: Re: [PATCH] Improve documentation for --dirstat diff option

From: Jakub Narebski <[email-masked]>
Date: Mon, 01 Sep 2008 11:42:54 +0200

Heikki Orsila wrote:

>  --dirstat[=limit]::
> -       Output only the sub-directories that are impacted by a diff,
> -       and to what degree they are impacted.  You can override the
> -       default cut-off in percent (3) by "--dirstat=limit".  If you
> -       want to enable "cumulative" directory statistics, you can use
> -       the "--cumulative" flag, which adds up percentages recursively
> -       even when they have been already reported for a sub-directory.
> +       Output the distribution of relative damage (number of lines added or
> +       removed) for each sub-directory. Directories with damage below
> +       a cut-off percent (3% by default) are not shown. The cut-off percent
> +       can be set with "--dirstat=limit". Damage for a child directory is not
> +       counted for the parent directory, unless "--cumulative" is used.

I rather prefer "impact" to "damage". And it should probably be 
"child directory _shown_".

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git